#FROM moxm/java:1.8-full
FROM 10.210.192.115:8443/library/openjdk:8
RUN mkdir -p /cloud-register

WORKDIR /cloud-register

ARG JAR_FILE=target/cloud-register.jar

COPY ${JAR_FILE} app.jar

EXPOSE 8848

ENV TZ=Asia/Shanghai JAVA_OPTS="-Xms256m -Xmx512m -Djava.security.egd=file:/dev/./urandom"

CMD sleep 2; java -jar app.jar $JAVA_OPTS
